From 0c0209cceab5caee465c9e7769d019bfe50fa275 Mon Sep 17 00:00:00 2001
From: Robert Nelson <robertcnelson@gmail.com>
Date: Wed, 21 Dec 2016 15:17:28 -0600
Subject: [PATCH] chroot: dont auto start dnsmasq.service

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
---
 scripts/chroot.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 42792c2ab..d501ae677 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -962,6 +962,11 @@ cat > "${DIR}/chroot_script.sh" <<-__EOF__
 		if [ -f /etc/systemd/system/network-online.target.wants/connman-wait-online.service ] ; then
 			systemctl disable connman-wait-online.service || true
 		fi
+
+		#We manually start dnsmasq, usb0/SoftAp0 are not available till late in boot...
+		if [ -f /lib/systemd/system/dnsmasq.service ] ; then
+			systemctl disable dnsmasq.service || true
+		fi
 	}
 
 	#cat /chroot_script.sh
-- 
GitLab